Change logs for pcsc-lite source package in Trusty

  • pcsc-lite (1.8.10-1ubuntu1.1) trusty-security; urgency=medium
    
      * SECURITY UPDATE: denial of service and possible code execution via
        cardsList use-after-free
        - debian/patches/CVE-2016-10109-1.patch: prevent use-after-free of
          cardsList in src/winscard_svc.c.
        - debian/patches/CVE-2016-10109-2.patch: check for a valid hContext
          handles in src/winscard_svc.c.
        - CVE-2016-10109
    
     -- Marc Deslauriers <email address hidden>  Fri, 06 Jan 2017 10:33:14 -0500
  • pcsc-lite (1.8.10-1ubuntu1) trusty; urgency=medium
    
      * Merge with Debian; remaining changes:
        - Build using dh-autoreconf.
        - debian/rules: Move runtime libraries to /lib, for the benefit of
          wpasupplicant. (See Debian #531592)
    
    pcsc-lite (1.8.10-1) unstable; urgency=low
    
      * New upstream release
      * debian/libpcsclite1.symbols: remove the log_msg symbol. The bug is fixed
        upstream.
      * debian/control: fix lintian vcs-field-not-canonical for Vcs-Svn
    
    pcsc-lite (1.8.9-1) unstable; urgency=low
    
      * New upstream release
      * debian/control: try to fix lintian vcs-field-not-canonical
      * debian/control: Standards-Version: 3.9.3 -> 3.9.4. No change needed.
      * debian/libpcsclite1.symbols: add an entry for log_msg. It is a bug from
        upstream bug lintian comlains if the symbol is not present with
        symbols-file-contains-current-version-with-debian-revision
    
    pcsc-lite (1.8.8-4) unstable; urgency=low
    
      * Fix "[PATCH] use dh-systemd" (Closes: #715257)
      * Fix lintian debug-package-for-multi-arch-same-pkg-not-coinstallable
        debian/control: Add "Multi-Arch: same" for libpcsclite1-dbg
    
    pcsc-lite (1.8.8-3) unstable; urgency=low
    
      [ Martin Pitt ]
      * debian/pcscd.postinst: Check whether systemd init is running, not just for
        the cgroup (which is also being used by logind).
    
      [ Ludovic Rousseau ]
      * remove Depends: adduser since addgroup is no more used
    
    pcsc-lite (1.8.8-2) unstable; urgency=low
    
      * Fix "Please include SONAME in debug package name" rename libpcsclite-dbg
        in libpcsclite1-dbg (Closes: #698372)
    
    pcsc-lite (1.8.8-1) unstable; urgency=low
    
      * New upstream release
      * do not use a pcscd group any more. pcscd is started at boot or by systemd
    
    pcsc-lite (1.8.7-1) unstable; urgency=low
    
      * New upstream release
    
    pcsc-lite (1.8.6-4) unstable; urgency=low
    
      * Fix "Incorrect LSB header, Should-Start contains obsolete hal"
        remove hal dependency from init script (Closes: #694019)
     -- Matthias Klose <email address hidden>   Mon, 06 Jan 2014 21:18:08 +0100
  • pcsc-lite (1.8.6-3ubuntu2) trusty; urgency=medium
    
      * Build using dh-autoreconf.
     -- Matthias Klose <email address hidden>   Mon, 16 Dec 2013 23:48:08 +0100
  • pcsc-lite (1.8.6-3ubuntu1b1) raring; urgency=low
    
      * No-change rebuild against libudev1
     -- Martin Pitt <email address hidden>   Wed, 13 Mar 2013 07:08:03 +0000